## org.hibernate
Class ResourceClosedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.ResourceClosedException

All Implemented Interfaces:
  Serializable

    public class ResourceClosedException

extends HibernateException

Indicates an attempt was made to use a closed resource (Session, SessionFactory, etc).

See Also:
  Serialized Form

Constructor Summary
`ResourceClosedException(String s)`
`ResourceClosedException(String string, Throwable root)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceClosedException

    public ResourceClosedException(String s)

### ResourceClosedException

    public ResourceClosedException(String string,
                                   Throwable root)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.